P4_S_BACKSLASH_QUOTE(3)

NAME
p4_s_backslash_quote - 'S\\\"' ( [backslashed-strings_<">] -- str cnt )

SYNOPSIS

#include <pfe/pfe-base.h>

FCode p4_s_backslash_quote(---);

DESCRIPTION

scan the following text to create a literal just like S" does, but backslashes can be used to escape special chars. The rules for the backslashes follow C literals, implemented techniques are \n \r \b \a \f \v \e \777 and all non-alnum chars represent themselves, esp. \" \' \ \? \! \% \( \) \[ \] \{ \} etcetera. most importantly the doublequote itself can be escaped. but be also informed that the usage of \' and \" is not portable as some systems preferred to map [\'] into ["]. Here I use the experimental addition to map [\q] to ["] and [\i] to [']

AUTHOR

    • Guido U. Draheim (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) 2000 - 2004 Guido U. Draheim <guidod@gmx.de> Copyright (C) 2005 - 2008 Guido U. Draheim <guidod@gmx.de>